Omniplex Docs

Vanity

These API endpoints are related to vanity codes on IGL

Resolve Vanity

GET
/vanity/{code}

Resolve a vanity by its code or (then) its target id

Path Parameters

code*string

The vanity code

Query Parameters

itag?string

Resolve based on itag

Response Body

Success

application/json
  1. response
code?string

The code of the vanity

created_at?string

The time the vanity was created

Formatdate-time
itag?string

The vanities internal ID.

Formatuuid
target_id?string

The ID of the entity

target_type?string

The type of the entity

Example Request
curl -X GET 'https://spider.omniplex.gg/vanity/string'
Example Response
{  "code": "string",  "created_at": "2019-08-24T14:15:22Z",  "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",  "target_id": "string",  "target_type": "string"}

Redirect Vanity

GET
/@{code}

Resolve a vanity by its code or (then) its target id, then redirects to the API url. Useful for debugging mainly

Path Parameters

code*string

The vanity code

Query Parameters

itag?string

Resolve based on itag

Response Body

Success

application/json
  1. response
code?string

The code of the vanity

created_at?string

The time the vanity was created

Formatdate-time
itag?string

The vanities internal ID.

Formatuuid
target_id?string

The ID of the entity

target_type?string

The type of the entity

Example Request
curl -X GET 'https://spider.omniplex.gg/@string'
Example Response
{  "code": "string",  "created_at": "2019-08-24T14:15:22Z",  "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",  "target_id": "string",  "target_type": "string"}

Update Entity Vanity

PATCH
/{target_type}/{target_id}/vanity

Updates an entities vanity. Returns 204 on success

Authorization

headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

target_type*string

The target type of the entity

target_id*string

The target ID of the entity

Request Body

application/json
  1. body
code?string

The new vanity code to use

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X PATCH 'https://spider.omniplex.gg/string/string/vanity' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}